class MenuLayer extends PH.Layer {
    game: Game;
    lines: string[];
    width = 280;

    constructor(game: Game) {
        super();
        this.game = game;

        let msg = "YOU have been tasked with bringing THE LAST HUMAN to the HIGH PROTECTOR.\nThe EXCEPTIONS have discovered our presence and mission. No doubt they will throw everything they have at you in order to capture the human.\nAs per your programming, you must develop a SOLID AND COMPLETE PLAN before embarking on this mission.\nGood luck, AUTOEXEC!";

        this.lines = quickSplit(msg, this.game.mainFont, this.width - 16);

        for(let k = 0; k < 3; k++) this.lines.push('');
        this.lines.push("Click to continue.");
    }

    handleClick() {
        this.game.endMenu();
        return false;
    }

    draw() {
        let img = <HTMLImageElement>this.game.data['title'];
        let w = img.width;
        let l = Math.floor(320 - w/2);
        let t = 20
        this.game.ctx.drawImage(img, l, t);

        this.game.spriteBoxFrame.draw(this.game.ctx, Math.floor(320 - this.width / 2), 80, this.width, 192);

        let my = 96;
        for(let l of this.lines) {
            this.game.mainFont.drawCenteredText(this.game.ctx, l, 320, my);
            my += 10;
        }
    }

}